﻿# Projecte EDD
Grup: Dimecres 5
Membres: Martí Baeza, Ayman El Mislam, Dai Mameghani

# Objectius del Projecte
Els components que integrarem en aquest circuit seran:​

1. Motor de l'alçavidres amb el seu final de cursa per al control del moviment. ​
2. Mecanisme anti-atrapament de la finestra, el qual detectarà corrents per prevenir accidents. ​
3. Mecanisme de tancament i obertura de la porta per a un control segur i eficient. ​
4. Lector RFID per a l'obertura sense necessitat de claus, connectat amb un bus digital per a una comunicació fiable.​

​Amb aquest enfocament, aspirem a crear un sistema electrònic complet i funcional que satisfaci les necessitats i requeriments especificat


## Llista de components

|Components |Model| Voltatge (V) | Corrent (mA)|
|:----------------|:---------|:------------------|:-|
|Driver de Tensió|[LM1117MP-3.3/NOPB](https://www.ti.com/lit/ds/symlink/lm1117.pdf?ts=1710923094126&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FLM1117%253Futm_source%253Dgoogle%2526utm_medium%253Dcpc%2526utm_campaign%253Dapp-null-null-GPN_EN-cpc-pf-google-wwe%2526utm_content%253DLM1117%2526ds_k%253DLM1117%2526DCM%253Dyes%2526gad_source%253D1%2526gclid%253DEAIaIQobChMI1IDlhbWChQMVzjkGAB2gtAafEAAYASAAEgLjkPD_BwE%2526gclsrc%253Daw.ds)​|12 ---> 3|800|
|Microcontrolador|[DSPIC33CK128MC502](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf)|3.3 - 3.6| 150|
|CAN Transciever|[MAX33054E](https://www.mouser.com/datasheet/2/256/MAX33053E-MAX33054E-1387264.pdf)​|3.3| 2 - 5|
|DB-9 connector|[MHDB9SP](https://www.mhconnectors.com/storage/components/mhdb_sp_1.pdf)| | |
|Motor alçavidres​ |[89831005](https://eu.mouser.com/datasheet/2/92/Crouzet_brochure_Dcmind_brush_english-1108910.pdf)​ |12 |4.750​|
|Motor porta​ |[L16-30-150-12-S](https://actuonix-com.3dcartstores.com/assets/images/datasheets/ActuonixL16Datasheet.pdf)​ |12​ |650​|
|Sensor fi de carrera (finestra)​|[D3V-015-3A3](https://docs.rs-online.com/78d6/A700000009277468.pdf)​|3.3 |100​|
|Sensor fi de carrera (porta)​| [D3V-015-3A3](https://docs.rs-online.com/78d6/A700000009277468.pdf)​ |3.3|100|
|Botonera​ |[100SP1T2B4M7QE](https://www.snapeda.com/parts/100SP1T2B4M7QE/E-Switch/datasheet/)| | |
|Lector RFID|[Pepper-C1-UART](https://docs.rs-online.com/1a98/0900766b816e687a.pdf)|3.3|140-210​|
|Inversor |[SN74LVC1G04](https://www.ti.com/lit/ds/symlink/sn74lvc1g04.pdf?ts=1712740528027&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FSN74LVC1G04%253Futm_source%253Dgoogle%2526utm_medium%253Dcpc%2526utm_campaign%253Dasc-null-null-GPN_EN-cpc-pf-google-eu%2526utm_content%253DSN74LVC1G04%2526ds_k%253DSN74LVC1G04%2526DCM%253Dyes%2526gad_source%253D1%2526gclid%253DEAIaIQobChMInenez6e3hQMVoxaiAx2PmQviEAAYASAAEgKz6fD_BwE%2526gclsrc%253Daw.ds)​ |3.3 |
|Pont H (Driver)| [DRV8872](https://www.ti.com/lit/ds/symlink/drv8872.pdf?ts=1713603612736&ref_url=https%253A%252F%252Fwww.mouser.es%252F)​| 12|
|E2PROM|[24LC256](https://ww1.microchip.com/downloads/en/devicedoc/21203r.pdf)| 3.3|400

## Actualitzacions

| Data   | Membre | Actualització                  |
| ------ | ------ | ------------------------------ |
| 28/03  | Martí  | Esquemàtic del regulador de Tensió |
| 28/03  | Dai    | Actualització del Diagrama de Blocs |
| 28/03  | Dai    | Simulacions del Regulador de Tensió |
| 29/03  | Ayman  | Creació del Markdown           |
| 01/04  | Ayman  | Modificacions del Esquemàtic (Relé) |
| 02/04 | Martí | Modificacions del esquemàtic (Connexió de pins al micro) |
| 03/04  | Dai    | Actualització del Diagrama de Blocs |
|05/04| Martí| Arreglar errors dels esquemàtics comentats a la presentació
|07/04| Dai | Pont H als motors i reset programable| 
|10/04| Martí i Ayman| Pulir errors de l'esquemàtic
|10/04| Martí i Ayman| Assignació de footprints i primer placing
|15/04| Dai| Placing + primer routing|
|16/04| Martí i Ayman| Puliments de warnings i errors de la PCB|
|18/04| Tots| Correccions de comentaris fets a la presentació|
|20/04|Martí| Reemplaçament dels pont en H a l'esquemàtic|
|20/04|Dai| Placing dels pont en H a la PCB|
|20/04|Ayman| Canvi de footprint del micro i reassignació de pins|
|20/04|Martí| Placing amb els nous pins assignats|
|21/04|Ayman i Dai| Correcció d'errors i warnings|
